For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • GETGet record results
      • GETGet analytics stats
Dashboard
LogoLogo
Runtype APIAnalytics

Get record results

GET
/v1/analytics/record-results
GET
/v1/analytics/record-results
$curl https://api.runtype.com/v1/analytics/record-results \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "dailyExecutions": [
3 {
4 "date": "2024-06-15",
5 "failedExecutions": 5,
6 "flowsFailure": 2,
7 "flowsSuccess": 8,
8 "promptsFailure": 3,
9 "promptsSuccess": 15,
10 "successfulExecutions": 23,
11 "totalExecutions": 28
12 }
13 ],
14 "period": {
15 "days": 1,
16 "endDate": "2024-06-15",
17 "startDate": "2024-06-15"
18 },
19 "summary": {
20 "failedExecutions": 5,
21 "flowExecutions": 10,
22 "promptExecutions": 18,
23 "successRate": 0.82,
24 "successfulExecutions": 23,
25 "totalExecutions": 28
26 }
27}

Get all record results for the current user with filtering and pagination. When a days parameter is provided, returns aggregated daily execution analytics instead of paginated results.

Was this page helpful?
Previous

Get analytics stats

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Query parameters

daysstringOptional
pagestringOptional
limitstringOptional
statusstringOptional
cursorstringOptional

Response

Record results or aggregated daily analytics
object
OR
object

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error